<%= form_with model: @user, local: true do |form| %>
 
    <% if @user.errors.any? %>
      <div id="error_explanation" class="bg-danger">
        <h2>
          <%= pluralize(@user.errors.count, "error") %> prohibited
          this user from being saved:
        </h2>
        <ul>
          <% @user.errors.full_messages.each do |msg| %>
            <li><%= msg %></li>
          <% end %>
        </ul>
      </div>
    <% end %>
   
    <p>
      <%= form.label :name %>
      <%= form.text_field :name %>
    </p>

    <p>
      <%= form.submit "Validate", :class => "btn btn-primary" %>
    </p>
   
  <% end %>